local t = Def.ActorFrame {
--[[ 	LoadActor("_warning") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;
			vertalign,top;
			wag;effectmagnitude,0,0,10;effectperiod,2;
		);
		OnCommand=cmd(diffusealpha,0);
		ShowDangerAllMessageCommand=cmd(stoptweening;accelerate,0.3;diffusealpha,1);
		HideDangerAllMessageCommand=cmd(stoptweening;accelerate,0.3;diffusealpha,0);
	}; --]]
--[[     LoadSongBackground() .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;blend,'BlendMode_Add');
        OnCommand=cmd(visible,false;diffuseshift;effectperiod,2;effectcolor2,1,0,0,1;effectcolor1,0,0,0,1;effectclock,'bgm');
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;zoomy,0;accelerate,0.3;zoomy,1);
		HideDangerAllMessageCommand=cmd(stoptweening;accelerate,0.3;zoomy,0;sleep,0.1;visible,false;);
    }; --]]
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_WeightedMultiply');
        OnCommand=cmd(visible,false;diffuseramp;effectcolor2,1,0,0,1;effectcolor1,0.25,0,0,1;effectperiod,2;effectclock,'bgm');
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;);
		HideDangerAllMessageCommand=cmd(stoptweening;visible,false;);
    };
    Def.Quad {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
        OnCommand=cmd(visible,false;);
		ShowDangerAllMessageCommand=cmd(stoptweening;visible,true;decelerate,0.6;diffusealpha,0;);
		HideDangerAllMessageCommand=cmd(stoptweening;visible,false;diffusealpha,1);
    };
--[[ 	LoadActor( "toasty" ) .. {
        InitCommand=cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT;)
		CustomToastyMessageCommand = cmd(decelerate,0.3;x,468;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH);
	};
	LoadActor( THEME:GetPathS("", "_toasty") ) .. {
		CustomToastyMessageCommand = cmd(play);
	}; --]]
};

return t;
